Windows that resize themselves while in windows are spread (Super + W) leave old pixels behind

Bug #940470 reported by David Owen on 2012-02-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
Low
Andrea Azzarone
Xenial
Low
Unassigned

Bug Description

[Impact]

Resizing windows in spread doesn't properly damage the screen

[Test case]
1. Run Update Manager
2. Start applying updates
3. Hit Super + W
4. Wait

As the status window continually resizes itself during the update, it will leave behind old pixels, and your screen will look similar to the attached png.

[Regression potential]

Spread decorations could be redrawn more often during scale, thus causing more computation.

Related branches

David Owen (dsowen) wrote :
Bilal Akhtar (bilalakhtar) wrote :

I can't reproduce that. Which GPU/driver do you use? Which version of Ubuntu? Which version of Unity?

Changed in unity:
status: New → Incomplete

On 02/24/2012 06:53 PM, Bilal Akhtar wrote:
> I can't reproduce that. Which GPU/driver do you use? Which version of
> Ubuntu? Which version of Unity?

GPU: X calls it "Intel Arrandale" using the i965 DRI driver
Ubuntu: Precise
Unity: 5.4.0

I *think* I'm using Unity 2D, but I'm not sure.

If you run xterm, and enable window ops (available in the menu from
CTRL+right-click), you can run this bash command to reproduce:

for (( I=80 ; I>=20 ; I-=10 )); do echo -e "\e[8;30;${I}t" ; sleep 2 ; done

Just start that going then hit super+w.

Omer Akram (om26er) wrote :

you are using Unity and I think I understand the bug you are facing. I have seen that update manager window resizing like crazy so what you faced was during expo.

Changed in unity:
status: Incomplete → Confirmed
Changed in compiz-plugins-main:
status: New → Confirmed
Changed in unity:
importance: Undecided → Low
Changed in compiz-plugins-main:
importance: Undecided → Low
Changed in compiz:
importance: Undecided → Low
status: New → Confirmed
Andrea Azzarone (azzar1) on 2016-08-18
no longer affects: compiz
no longer affects: compiz-plugins-main
no longer affects: unity
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Andrea Azzarone (azzar1) on 2016-08-22
Changed in unity (Ubuntu):
importance: Undecided → Low
assignee: nobody → Andrea Azzarone (azzar1)
tags: added: desktop-trello-import
Andrea Azzarone (azzar1) on 2016-08-22
Changed in unity (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+16.10.20160901.2-0ubuntu1

---------------
unity (7.5.0+16.10.20160901.2-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Disable menu discovery animation if MenusDiscoveryDuration is 0.
    (LP: #942962)
  * Redraw fake decorations on window resize. (LP: #940470)

  [ Marco Trevisan (Treviño) ]
  * InputMonitor: add an unity class that monitors XInput2 events and
    converts them to XEvent
  * EdgeBarrierController: use InputMonitor to get the barrier events
    instead of relying on its implementation
  * DecorationsMenuLayout: use input monitor for menu scrubbing (LP:
    #1614597)
  * PanelView: use InputMonitor to track menu events
  * LockScreenPanel: use InputMonitor events instead of mouse polling
    for menu scrubbing
  * MenuManager: add support for mouse trackers with triangle algorithm
    support (LP: #1618405)
  * PanelView: scale gradient refinement properly
  * PanelService: don't allow to deactivate menus if they've been opened
    too shortly
  * WindowButton: properly partially unmaximize a window when
    middle/left clicking in the restore button (LP: #1616136)
  * CMake: move data and setting files in proper folder, define shared
    libdir variables

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Thu, 01 Sep 2016 23:59:15 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
tags: added: dirty redraw region
description: updated

Hello David, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160906-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Changed in unity (Ubuntu Xenial):
importance: Undecided → Low
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160906-0ubuntu1

---------------
unity (7.4.0+16.04.20160906-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * SwitcherView: always disable animations when in lowgfx mode (LP:
    #1602784)

  [ Andrea Azzarone ]
  * When locked discard damages from windows below lockscreen. (LP:
    #1605180)
  * DecoratedWindow: display unmaximize button if the window is
    vertically or horizontally maximized (LP: #1608480)
  * Make sure the switcher detail view is properly scaled. Also scale
    the xy_offset to make sure the switcher and launcher do not overlap.
    (LP: #1605256)
  * Close session dialog on first ESC. (LP: #1521116)
  * Filter out scrolling envents for FilterExpanderLabel. (LP: #1604632)
  * Disable menu discovery animation if MenusDiscoveryDuration is 0.
    (LP: #942962)
  * Redraw fake decorations on window resize. (LP: #940470)
  * Use compiz::Window::serverNext instead of compiz::Window::next in
    IsWindowObscured as the latter can be outdated just after
    scale/spread terminates. (LP: #1614116)

  [ Marco Trevisan (Treviño) ]
  * DecoratedWindow: avoid deferencing an invalid shadow texture ptr,
    and split functions (LP: #1608464)
  * DecoratedWindow: display unmaximize button if the window is
    vertically or horizontally maximized (LP: #1608480)
  * DecorationsForceQuitDialog: make CSS selectors work with gtk 3.20
  * UserAuthenticatorPam: ensure pam_handle_ is null initialized and
    don't proceed if not set (LP: #1611668)
  * DecorationStyle: set css name for Gtk 3.20
  * OverlayRenderer: properly decorate launcher/panel when the launcher
    is at the bottom (LP: #1611694)
  * OverlayRenderer: don't use rotated textures, just rotate them at
    rendering time
  * SpreadWidgets: add container for spread filter and new spread
    decorations (LP: #1283314)
  * WindowButton: properly partially unmaximize a window when
    middle/left clicking in the restore button (LP: #1616136)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 06 Sep 2016 23:17:39 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments